import request from '@/utils/request'

// 获取项目层级列表
export function getProjectList(projectId) {
  return request({
    url: '/backstage/dataReport/getProjectList?projectId='+projectId,
    method: 'get'
  })
}
// 获取项目层级列表
export function getProjectListTmp() {
  return request({
    url: '/backstage/dataReport/getProjectList',
    method: 'get'
  })
}

// 导出所有项目数据
export function exportAllProject(value) {
  return request({
    url: '/backstage/dataReport/exportAllProject',
    method: 'post',
    data:value
  })
}

// 导出所有主题数据
export function exportAllTheme(projectId,value) {
  value.unshift(projectId)
  return request({
    url: '/backstage/dataReport/exportAllTheme',
    method: 'post',
    data:value
  })
}

//获取全部项目
export function getAllProjectList() {
  return request({
    url: '/backstage/dataReport/getAllProjectList',
    method: 'get'
  })
}
export function getThemeListByProjectId(projectId) {
  return request({
    url: '/backstage/dataReport/getThemeListByProjectId?projectId='+projectId,
    method: 'get'
  })
}